# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:target_conn) do
  include EasyType

  desc <<-DESC
    Specify the connect string to the target database

    ora_rman_config { 'SID':
      ...
      target_conn => 'sys/mypassword@TNS',
      ...
    }
  DESC

  data_type('String[1]')

  defaultto '/'
end
